Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?

Org Mode org-fill-paragraph issue

Trying to do an org-fill-paragraph and get a string of void symbol errors:

For the var org-list-allow-alphabetical and the following functions org-element-bold-successor, org-element-code-successor, org-element-entity-successor, org-element-italic-successor, org-element-latex-fragment-successor, org-element-strike-through-successor, org-element-subscript-successor, org-element-superscript-successor, org-element-underline-successor, org-element-verbatim-successor

Patching these with stubs, fixes the problem, as hack, however it's a difficult situation, because org-submit-bug-report is also throwing an error . byte-code: Symbol's function definition is void: org-defvaralias

The stubs...

(defvar org-list-allow-alphabetical              t)
(defun  org-element-bold-successor           (arg))
(defun  org-element-code-successor           (arg))
(defun  org-element-entity-successor         (arg))
(defun  org-element-italic-successor         (arg))
(defun  org-element-latex-fragment-successor (arg))
(defun  org-element-strike-through-successor (arg))
(defun  org-element-subscript-successor      (arg))
(defun  org-element-superscript-successor    (arg))
(defun  org-element-underline-successor      (arg))
(defun  org-element-verbatim-successor       (arg))

Note, this is with the Org-mode version 7.9.3f (release_7.9.3f-17-g7524ef @ ~/.emacs.d/elpa/org-20130826/)

@alexhenning
Copy link

alexhenning commented Sep 10, 2013

I have the same issue. I don't have org-jekyll, org-page or any other org-mode extension anywhere. Have you had any luck solving this?

@paulgribble
Copy link

paulgribble commented Nov 1, 2013

same problem here... any solution yet?

@cpbotha
Copy link

cpbotha commented May 25, 2014

Anyone with solution other than the workaround at the top?

@StefPac
Copy link

StefPac commented Aug 23, 2014

Have the same problem with 20140804

EDIT: Turns out that my configuration was loading an older version of the .elc, rather than the one contained in the elpa subdirectory. I added the path to the elpa package in my org-mode configuration:

(add-to-list 'load-path (expand-file-name "/path/to/elpa/org-plus-contrib-20140804" t))

This solved the problem, for me.

@drewcsillag
Copy link

drewcsillag commented Jun 4, 2015

In my case, I found that I was adding a language via org-babel-do-load-languages before adding the language to org-src-lang-modes.

;;; if you do something like this:
(add-to-list 'org-src-lang-modes (quote ("plantuml" . fundamental)))

;;; do it before the org-babel-do-load-languages bit here:
(org-babel-do-load-languages
 (quote org-babel-load-languages)
 (quote ((emacs-lisp . t)
        .....
         (plantuml . t)
         (latex . t))))

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment